Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Interface FuzzyPointLocation.PointResolver

Enclosing class:
  FuzzyPointLocation

    public static interface FuzzyPointLocation.PointResolver

Determines how a `FuzzyPointLocation` should be treated when used as a normal `Location`. Use one of the implementations of this interface when creating a `FuzzyPointLocation` to specify how the fuzzy (inner/outer) properties are translated into the standard Location min and max properties. It is possible to write custom implementations of this to create `FuzzyLocations` with exotic behaviour.

Method Summary
`int` | `resolve(FuzzyPointLocation loc)` Return the actual point that the specified location should claim to occupy.

Method Detail

### resolve

    int resolve(FuzzyPointLocation loc)

  Return the actual point that the specified location should claim to occupy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD